package com.mosty.common.base.constant.enums;

import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum PermissionLevelEnum {


    /**
     * 全部
     */
    ALL("1", "全部"),

    /**
     * 部门及以下
     */
    DEPT_AND_CHILD("2", "部门及以下"),
    /**
     * 部门
     */
    DEPT("3", "仅部门权限"),
    /**
     * 部门及以下
     */
    ONESELF("4", "仅查看本人");


    /**
     * 等级
     */
    public String level;

    /**
     * 描述
     */
    public String desc;

}
